const axios = require('axios');

async function testDirectConnection() {
  console.log('🔍 测试直接连接...');
  
  try {
    const response = await axios.get('https://www.google.com', {
      timeout: 10000,
      headers: {
        'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36'
      }
    });
    
    console.log('✅ 直接连接成功');
    console.log(`状态码: ${response.status}`);
    console.log(`响应大小: ${response.data.length} 字符`);
    
  } catch (error) {
    console.error('❌ 直接连接失败:', error.message);
  }
}

testDirectConnection(); 